Bug 543 - aticonfig --od-gettemperature hangs if discrete GPU is inactive
Summary: aticonfig --od-gettemperature hangs if discrete GPU is inactive
Status: CLOSED WONTFIX
Alias: None
Product: AMD Catalyst™Proprietary Display Driver
Classification: Unclassified
Component: Installer (show other bugs)
Version: .archived
Hardware: All Linux
: low normal
Assignee: nobody
URL:
Depends on:
Blocks:
 
Reported: 2012-06-26 12:01 CDT by hantarex
Modified: 2013-05-08 00:06 CDT (History)
1 user (show)



Attachments
ati system info (346.95 KB, text/plain)
2012-06-26 12:02 CDT, hantarex
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hantarex 2012-06-26 12:01:39 CDT
On a multi GPU laptop (Intel i7+AMD 6770M) if the command in the summary is used when the discrete GPU is inactive it hangs the terminal and eats a whole CPU core indefinitely.

It should exit with an error saying it can't read the value just like for example the following command does.

aticonfig --pplib-cmd "get fanspeed 0"
Comment 1 hantarex 2012-06-26 12:02:19 CDT
Created attachment 508 [details]
ati system info
Comment 2 Marcelo Machado Araújo 2013-02-17 17:35:21 CST
I found a same problem here

when i try this command:
aticonfig --pplib-cmd "get fanspeed 0"

i got this result
PPLIB command execution has failed!
ati_pplib_cmd: execute "get" failed!

or aticonfig --pplib-cmd "set fanspeed 0 80"
with same result


and dont find any documentation about this error

i got it on this amd proprietary drivers
12.4
13.1
13.2 

my pc specs
GPU AMD RADEON HD 5970
CPU Core i7 920@4.0ghz
RAM 4GB OCZ3P16004GK 1600ghz 7-7-7-21
PSU Corsair 950tx
MBO Evga x58 sli3
HDD Sata 3 SEAGATE BARRACUDA
CAS Cooler Master HAF 932
Comment 3 Michael Cronenworth 2013-04-24 22:57:09 CDT
This message is a reminder that your bug is marked as Catalyst 12.4.

The current Catalyst version is 13.4.

Approximately 7 days from now the Bugzilla administrator will be removing the 12.4 version. At that time your bug will be CLOSED as WONTFIX.

Bug Reporter: Thank you for reporting this issue. However, the Bugzilla administrator provides this as a unofficial, free service to AMD customers, and I like to keep my systems neat and tidy. If you would like to keep your bug from being closed, please try a new Catalyst version and update the 'version' field if the issue still occurs.

If you are unable to update the version, please make a comment and someone will change it for you.
Comment 4 Michael Cronenworth 2013-05-08 00:03:59 CDT
This bug is being closed due to the 'version' being 12.4 after 14 days of the previous closure notice.

Thank you for your bug report.